# Couenne::CouenneFixPoint Class Reference

Cut Generator for FBBT fixpoint. More...

`#include <CouenneFixPoint.hpp>`

List of all members.

## Public Member Functions
| CouenneFixPoint (CouenneProblem *, const Ipopt::SmartPtr< Ipopt::OptionsList >)
| constructor
| CouenneFixPoint (const CouenneFixPoint &)
| copy constructor
| ~CouenneFixPoint ()
| destructor
CouenneFixPoint * | clone () const
| clone method (necessary for the abstract CglCutGenerator class)
void | generateCuts (const OsiSolverInterface &, OsiCuts &, const CglTreeInfo=CglTreeInfo()) const
| the main CglCutGenerator
## Static Public Member Functions
static void | registerOptions (Ipopt::SmartPtr< Bonmin::RegisteredOptions > roptions)
| Add list of options to be read from file.
## Protected Member Functions
void | createRow (int, int, int, OsiSolverInterface *, const int *, const double *, const double, const int, bool, int, int) const
| Create a single cut.
## Protected Attributes
bool | extendedModel_
| should we use an extended model or a more compact one?
CouenneProblem * | problem_
| pointer to the CouenneProblem representation
bool | firstCall_
| Is this the first call?
double | CPUtime_
| CPU time.
int | nTightened_
| Number of bounds tightened.
CouenneBTPerfIndicator | perfIndicator_
| Performance indicator.

## Detailed Description

Cut Generator for FBBT fixpoint.

Definition at line 30 of file CouenneFixPoint.hpp.

## Constructor & Destructor Documentation

Couenne::CouenneFixPoint::CouenneFixPoint | ( | CouenneProblem * | ,
|  | const Ipopt::SmartPtr< Ipopt::OptionsList > |  |
| ) |  |  |

constructor

Referenced by clone().

Couenne::CouenneFixPoint::CouenneFixPoint | ( | const CouenneFixPoint & |  | ) |

copy constructor

Couenne::CouenneFixPoint::~CouenneFixPoint | ( |  | ) |

destructor

## Member Function Documentation

CouenneFixPoint* Couenne::CouenneFixPoint::clone | ( |  | ) | const`[inline]`

clone method (necessary for the abstract CglCutGenerator class)

Definition at line 45 of file CouenneFixPoint.hpp.

References CouenneFixPoint().

void Couenne::CouenneFixPoint::generateCuts | ( | const OsiSolverInterface & | ,
|  | OsiCuts & | ,
|  | const | CglTreeInfo = `CglTreeInfo()` |
| ) |  |  | const

the main CglCutGenerator

static void Couenne::CouenneFixPoint::registerOptions | ( | Ipopt::SmartPtr< Bonmin::RegisteredOptions > | roptions | ) | `[static]`

Add list of options to be read from file.

void Couenne::CouenneFixPoint::createRow | ( | int | ,
|  | int | ,
|  | int | ,
|  | OsiSolverInterface * | ,
|  | const int * | ,
|  | const double * | ,
|  | const | double,
|  | const | int,
|  | bool | ,
|  | int | ,
|  | int |  |
| ) |  |  | const`[protected]`

Create a single cut.

## Member Data Documentation

bool Couenne::CouenneFixPoint::extendedModel_`[protected]`

should we use an extended model or a more compact one?

Definition at line 63 of file CouenneFixPoint.hpp.

CouenneProblem* Couenne::CouenneFixPoint::problem_`[protected]`

pointer to the CouenneProblem representation

Definition at line 66 of file CouenneFixPoint.hpp.

bool Couenne::CouenneFixPoint::firstCall_`[mutable, protected]`

Is this the first call?

Definition at line 69 of file CouenneFixPoint.hpp.

double Couenne::CouenneFixPoint::CPUtime_`[mutable, protected]`

CPU time.

Definition at line 72 of file CouenneFixPoint.hpp.

int Couenne::CouenneFixPoint::nTightened_`[mutable, protected]`

Number of bounds tightened.

Definition at line 75 of file CouenneFixPoint.hpp.

CouenneBTPerfIndicator Couenne::CouenneFixPoint::perfIndicator_`[protected]`

Performance indicator.

Definition at line 89 of file CouenneFixPoint.hpp.

The documentation for this class was generated from the following file:

- CouenneFixPoint.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines